Post by ardragifts » Sat Nov 25, 2017 6:10 am

Hello,
I am looking for someone to upgrade my OC. My website is down as my hosting service changed mysql. They said
I needed to update my OC.
I have a Journal theme installed on OC.
Please contact me with costs and experience.
Thanks
Nancy
Last edited by ardragifts on Thu Nov 30, 2017 3:40 am, edited 1 time in total.

Active Member

Posts

Joined
Sun Mar 29, 2015 2:33 pm

Post by sims » Sat Nov 25, 2017 7:00 am

What version of Opencart are you running?

New member

Posts

Joined
Fri Apr 21, 2017 11:49 pm

Post by IP_CAM » Sat Nov 25, 2017 9:34 am

Well, you don't have to update your Shop because of this, you
just have to change this Line Content:
define('DB_DRIVER', 'mysql');
to look like this:
define('DB_DRIVER', 'mysqli');
in your both config.php files, to make it work with mysqli.
And if your Shop Version does NOT YET contain a
/system/database/mysqli.php File,
just download a Version-matching mysqli-driver from the extension section,
and upload it into the Shop /system/database/... Subdirectory:
https://www.opencart.com/index.php?rout ... rch=mysqli
Good Luck ! ;)
Ernie

I don't use the Forum Mailer, to reach me, contact: jti@jacob.ch
-
Demoversions:
OpenCart LIGHT v.1.5.6.5 http://www.bigmax.ch/
OpenCart V-PRO v.1.5.6.5 http://www.ocshop.li/shop/
-
1'500+ FREE OC Extensions - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
-
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by ardragifts » Thu Nov 30, 2017 1:38 am

Thanks so much for your reply.. very much appreciated. :)

OK, so I am a tad confused... Did my hosting service changed my existing database file to a different type or do I have to change my database files to a different version?

Also I cant find the database folder.. should it already exist of is that extension add the folder then the file? Under my system there is NO database folder at all.
Sorry I sound so ditzy.. this had totally confused me and my webstie AND admin have been down since the hosting service did this change.
Thanks again
Nancy

Active Member

Posts

Joined
Sun Mar 29, 2015 2:33 pm

Post by IP_CAM » Thu Nov 30, 2017 2:37 am

Well, if my above comment is unclear to you, then better get professional support.
Good Luck!
Ernie

I don't use the Forum Mailer, to reach me, contact: jti@jacob.ch
-
Demoversions:
OpenCart LIGHT v.1.5.6.5 http://www.bigmax.ch/
OpenCart V-PRO v.1.5.6.5 http://www.ocshop.li/shop/
-
1'500+ FREE OC Extensions - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
-
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by ardragifts » Thu Nov 30, 2017 2:58 am

lol I hear ya. I have NO clue what the mysql change was and how it affects my site.
I installed opencart and a theme all myself and had it working for the last 5 years or so.. made it all pretty lol

BUT I have no clue how to fix this issue that the hosting service caused. My admin and website just stopped working even though
the day before I was adding new products.
I dont know if my existing sql database in my hosting service is the old format or the new. Totally lost lol

If you noticed my other topic, I am giving up I think... I am moving to a new hosting service as the original hostbig service didnt even give me a warning or email about this major changed.

Thanks for your patience :)
Nancy

Active Member

Posts

Joined
Sun Mar 29, 2015 2:33 pm

Post by ardragifts » Thu Nov 30, 2017 3:29 am

Ok... I downloaded MySQLiz - MySQLi support.
The first thing that doesnt look right is you told me to change mysql to mysqli .. but when I went into the file it already was mysqli.
THEN I downloaded MySQLiz - MySQLi support and it says to change it to mysqliz . with a z... ack.
When I go to my site now..at least I get new error roflmao...Error: Could not load database driver mysqliz!

Soooo is the z supposed to be there or not? :)

I went to https://www.opencart.com/index.php?rout ... rch=mysqli and I have no clue which to get if MySQLiz - MySQLi is wrong? Can you be more specific on which extension I should get please?

Thanks again :)
Nancy

Active Member

Posts

Joined
Sun Mar 29, 2015 2:33 pm

Post by IP_CAM » Thu Nov 30, 2017 6:44 am

I clearly wrote:
And if your Shop Version does NOT YET contain a
/system/database/mysqli.php File,
just download a Version-matching mysqli-driver from the extension section,

I don't use the Forum Mailer, to reach me, contact: jti@jacob.ch
-
Demoversions:
OpenCart LIGHT v.1.5.6.5 http://www.bigmax.ch/
OpenCart V-PRO v.1.5.6.5 http://www.ocshop.li/shop/
-
1'500+ FREE OC Extensions - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
-
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by ardragifts » Thu Nov 30, 2017 11:09 am

Yup sorry if I misunderstood you. I did not have the database folder in system nor that file.
Being in a panic doesnt help me focus I guess... I did the steps you said.. and no change.

THEN I get a call from my sister that the site is MAGICALLY up and working???
Its been down nearly a week.. my admin and estore.
I am grateful it just fixed itself... and I am backing up everything and moving to a new hosting service.

Thanks sooooo much for your help... I truly appreciate it.. hugssss
Nancy

Active Member

Posts

Joined
Sun Mar 29, 2015 2:33 pm

Post by IP_CAM » Thu Nov 30, 2017 12:23 pm

Well, if you don't have this mysqli.php File in the system/database/... Subdirectory,
then you don't use an OpenCart v.1.5.6.x either. But anyway, good Luck, you will need it badly, I assume... ::)
Ernie

I don't use the Forum Mailer, to reach me, contact: jti@jacob.ch
-
Demoversions:
OpenCart LIGHT v.1.5.6.5 http://www.bigmax.ch/
OpenCart V-PRO v.1.5.6.5 http://www.ocshop.li/shop/
-
1'500+ FREE OC Extensions - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
-
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by avarahvahin » Thu Nov 30, 2017 1:49 pm

Hi ardragifts,
I will provide you the support.
Please contact me at avarahvahin@gmail.com

Thanks,
Avarah Vahin

View All My Extensions


Newbie

Posts

Joined
Sat Nov 18, 2017 2:22 pm

Who is online

Users browsing this forum: No registered users and 4 guests